<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CIdent
{
    /**
     * @var string
     */
    private $ident;

    public function getIdent(): string
    {
        return $this->ident;
    }

    public function withIdent(string $ident): CIdent
    {
        $new = clone $this;
        $new->ident = $ident;

        return $new;
    }
}
